geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Vamsavardhana Reddy" <c1vams...@gmail.com>
Subject Re: Build error with bootstrap assemble
Date Sun, 01 Oct 2006 08:06:43 GMT
Looks like bootstrap openejb2 failed because of svn lock problems.  I did
"svn clean" on "target\external\openejb2" dir and re-ran "bootstrap
openejb2" which was successful.  After that the build was successful.

Vamsi

On 10/1/06, David Jencks <david_jencks@yahoo.com> wrote:
>
> Are you very very sure your openejb copy is up to date?  You will get this
> error if you haven't picked up the latest schema changes in openejb2 from
> rev 451626.  (there are quite a few revisions after that, but they won't
> affect this error)
> thanks
> david jencks
>
> On Oct 1, 2006, at 12:14 AM, Vamsavardhana Reddy wrote:
>
> Hit a new error.  console output given below.
>
> [INFO]
> -------------------------------------------------------------------------
> ---
> [INFO] Building Geronimo Configs :: J2EE Corba
> [INFO]    task-segment: [install]
> [INFO]
> -------------------------------------------------------------------------
> ---
> [INFO] [tools:require-java-version {execution: validate-java-version}]
> [INFO] [tools:copy-legal-files {execution: install-legal-files}]
> [INFO] [resources:resources]
> [INFO] Using default encoding to copy filtered resources.
> [INFO] [car:prepare-plan]
> [INFO] Generated: G:\configs\j2ee-corba\target\plan\plan.xml
> [WARNING] POM for 'tranql:tranql-connector-derby-embed-xa:pom:1.1:compile'
> is in
> valid. It will be ignored for artifact resolution. Reason: Failed to
> validate PO
> M
> [WARNING] POM for 'activecluster:activecluster:pom:1.1-SNAPSHOT:compile'
> is inva
> lid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM.
> [WARNING] POM for 'activemq:activemq:pom:3.2.4-SNAPSHOT:compile' is
> invalid. It
> will be ignored for artifact resolution. Reason: Not a v4.0.0 POM.
> [WARNING] POM for 'tranql:tranql:pom:1.4-SNAPSHOT:compile' is invalid. It
> will b
> e ignored for artifact resolution. Reason: Not a v4.0.0 POM.
> [INFO] [car:package]
> [INFO] Packaging module configuration:
> G:\configs\j2ee-corba\target\plan\plan.xm
> l
> [INFO]
> ------------------------------------------------------------------------
> [ERROR] BUILD ERROR
> [INFO]
> ------------------------------------------------------------------------
> [INFO] No attribute builder deployed for namespace:
> http://openejb.apache.org/xm
> l/ns/corba-tss-config-2.1
>
> [INFO]
> ------------------------------------------------------------------------
> [INFO] For more information, run Maven with the -e switch
> [INFO]
> ------------------------------------------------------------------------
> [INFO] Total time: 7 minutes 48 seconds
> [INFO] Finished at: Sun Oct 01 12:16:25 IST 2006
> [INFO] Final Memory: 67M/121M
> [INFO]
> ------------------------------------------------------------------------
>
> On 9/30/06, David Jencks <david_jencks@yahoo.com > wrote:
> >
> > Apparently despite all my attempts my root pom was not up to date, I
> > think some local modifications confused svn up so the
> > >> <extensions>true</extensions>
> >
> > got left out.  I can now build OK using the unmodified root pom.
> >
> > sorry for the alarm and thanks for the hints
> >
> > david jencks
> >
> >
> > On Sep 30, 2006, at 8:43 AM, David Jencks wrote:
> >
> > > I've tried mvn -U, rebuilding genesis locally, and a bunch of other
> > > things and I'm still getting this error too.
> > >
> > > My top level pom appears to have something slightly different:
> > >
> > >         <plugins>
> > >             <plugin>
> > >                 <groupId>org.apache.geronimo.genesis.plugins</groupId>
> > >                 <artifactId>tools-maven-plugin</artifactId>
> > >                 <executions>
> > >                     <execution>
> > >                         <id>validate-java-version</id>
> > >                         <phase>validate</phase>
> > >                         <goals>
> > >                             <goal>require-java-version</goal>
> > >                         </goals>
> > >                         <configuration>
> > >                             <version>1.4*</version>
> > >                         </configuration>
> > >                     </execution>
> > >
> > >                     <!--
> > >                     NOTE: This will copy LICENSE.txt and NOTICE.txt
> > > to classes/META-INF.
> > >
> > >                           Its a itty-bitty HACK to avoid adding
> > > resource definitions to
> > >                           the build, which causes the Eclipse
> > > plugin to generate invalid
> > >                           .classpath files. :-(
> > >                     -->
> > >                     <execution>
> > >                         <id>install-legal-files</id>
> > >                         <phase>generate-resources</phase>
> > >                         <goals>
> > >                             <goal>copy-legal-files</goal>
> > >                         </goals>
> > >                     </execution>
> > >                 </executions>
> > >             </plugin>
> > >
> > > any ideas?
> > >
> > > thanks
> > > david jencks
> > >
> > >
> > > On Sep 30, 2006, at 1:50 AM, Jason Dillon wrote:
> > >
> > >> Run `mvn -U` to make sure you have the latest snapshots.... or `rm
> > >> -rf ~/.m2/repository/org/apache/geronimo/genesis/`.
> > >>
> > >> Genesis tools-maven-plugin was updated earlier to add some new
> > >> packagings.
> > >>
> > >> Also make sure the top-level pom.xml is up to date, it could have:
> > >>
> > >> <plugin>
> > >>                 <groupId>org.apache.geronimo.genesis.plugins</
> > >> groupId>
> > >>                 <artifactId>tools-maven-plugin</artifactId>
> > >>
> > >>                 <!-- Tools includes custom packagings, install as
> > >> extention to pick them up -->
> > >>                 <extensions>true</extensions>
> > >> ...
> > >>
> > >> --jason
> > >>
> > >>
> > >> On Sep 30, 2006, at 1:19 AM, Vamsavardhana Reddy wrote:
> > >>
> > >>> I am getting the following error when running bootstrap assmble.
> > >>> Any suggestions on how to overcome this?
> > >>>
> > >>> [INFO] Building Geronimo Assemblies :: Minimal Framework
> > >>> [INFO]    task-segment: [install]
> > >>> [INFO]
> > >>> --------------------------------------------------------------------
> > >>> -----
> > >>> ---
> > >>> [INFO]
> > >>> --------------------------------------------------------------------
> >
> > >>> ----
> > >>> [ERROR] BUILD ERROR
> > >>> [INFO]
> > >>> --------------------------------------------------------------------
> > >>> ----
> > >>> [INFO] Cannot find lifecycle mapping for packaging: 'application-
> > >>> assembly'.
> > >>> Component descriptor cannot be found in the component repository:
> > >>> org.apache.mav
> > >>> en.lifecycle.mapping.LifecycleMappingapplication-assembly.
> > >>> [INFO]
> > >>> --------------------------------------------------------------------
> > >>> ----
> > >>> [INFO] For more information, run Maven with the -e switch
> > >>> [INFO]
> > >>> --------------------------------------------------------------------
> >
> > >>> ----
> > >>> [INFO] Total time: 6 minutes 44 seconds
> > >>> [INFO] Finished at: Sat Sep 30 13:44:24 IST 2006
> > >>> [INFO] Final Memory: 61M/111M
> > >>
> > >
> >
> >
>
>

Mime
View raw message